HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostDisputesDisputeClose

Contains the different functions to run the operation postDisputesDisputeClose

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostDisputesDisputeClose.hs
valuepostDisputesDisputeClose
  1. :: MonadHTTP m
  2. => Text

    dispute | Constraints: Maximum length of 5000

  3. -> Maybe PostDisputesDisputeCloseRequestBody

    The request body to send

  4. -> ClientT m (Response PostDisputesDisputeCloseResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/disputes/{dispute}/close

<p>Closing the dispute for a charge indicates that you do not have any evidence to submit and are essentially dismissing the dispute, acknowledging it as lost.</p>

<p>The status of the dispute will change from <code>needs_response</code> to <code>lost</code>. <em>Closing a dispute is irreversible</em>.</p>

Defines the object schema located at paths./v1/disputes/{dispute}/close.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postDisputesDisputeClose.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostDisputesDisputeCloseResponseError is used.

Constructors

Instances2Eq, Show